Package org.pentaho.reporting.libraries.formula

# Class DefaultLocalizationContext

java.lang.Object
org.pentaho.reporting.libraries.formula.DefaultLocalizationContext

All Implemented Interfaces:
  `Serializable`, `LocalizationContext`

public class DefaultLocalizationContext extends Object implements LocalizationContext, Serializable
Creation-Date: 03.11.2006, 14:28:12

Author:
  Thomas Morgner
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`DefaultLocalizationContext()`

## Method Summary

Modifier and Type
Method
Description
`ResourceBundle`
`getBundle(String id)`
`List`
`getDateFormats(Type type)`
`Locale`
`getLocale()`
`TimeZone`
`getTimeZone()`
`void`
`initialize(Configuration config)`
`void`
`initialize(Configuration config, Locale locale, TimeZone timeZone)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultLocalizationContext

public DefaultLocalizationContext()

## Method Details

### getLocale

public Locale getLocale()

Specified by:
  `getLocale` in interface `LocalizationContext`

### getBundle

public ResourceBundle getBundle(String id)

Specified by:
  `getBundle` in interface `LocalizationContext`

### getTimeZone

public TimeZone getTimeZone()

Specified by:
  `getTimeZone` in interface `LocalizationContext`

### getDateFormats

public List getDateFormats(Type type)

Specified by:
  `getDateFormats` in interface `LocalizationContext`

### initialize

public void initialize(Configuration config)

### initialize

public void initialize(Configuration config, Locale locale, TimeZone timeZone)